variables:
  # Tell docker CLI how to talk to Docker daemon; see
  # https://docs.gitlab.com/ee/ci/docker/using_docker_build.html#use-docker-in-docker-executor
  DOCKER_HOST: tcp://docker:2375/
  # Use the overlayfs driver for improved performance:
  DOCKER_DRIVER: overlay2
  DOCKER_TLS_CERTDIR: ""
  GIT_SUBMODULE_STRATEGY: recursive

build:base_images:
  image: ${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}/docker:latest
  stage: build
  services:
    - name: ${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}/docker:dind
      alias: docker
  before_script:
    - apk add make
    # login into registry.gitlab.com to be able to push the images
    - docker login -u ${CI_REGISTRY_USER} -p ${CI_REGISTRY_PASSWORD} ${CI_REGISTRY}
    # login into gitlab.com to leverage the packages dependency proxy, see
    # https://docs.gitlab.com/ee/user/packages/dependency_proxy/
    - docker login -u ${CI_REGISTRY_USER} -p ${CI_REGISTRY_PASSWORD} gitlab.com
  script:
    - cd packages/python/backhoe
    - make docker/build-foundation
    - docker tag foundation:python ${CI_REGISTRY_IMAGE}:python
    - docker push ${CI_REGISTRY_IMAGE}:python
    - docker tag foundation:venv ${CI_REGISTRY_IMAGE}:venv
    - docker push ${CI_REGISTRY_IMAGE}:venv
